-- premake5.lua
dofile "globals.lua"

workspace "examples_app"

    setup_options()
    
	configurations { "Debug", "Release" }
	location ("build/" ..platform)
	architecture "x86_64"
    startproject "examples_app"

dofile("../../engine/engine_premake.lua")

project "examples_app"
	location ("build/" ..platform)
	kind "WindowedApp"
	language "C++"
	targetdir ("bin/" ..platform)
    debugdir ("bin/" ..platform)
    
    systemversion "latest"
    characterset "MBCS"
    
    links
    {
		"engine",
        "QuickGFX"
    }
    
    dependson
    {
		"engine",
        "QuickGFX"
    }
    
    includedirs
    {
        "include",
        "../../QuickGFX/include",
		"../../engine/include",
        "../../QuickGFX/third_party/glm",
        "../../QuickGFX/third_party/imgui",
		"../../QuickGFX/third_party/rapidjson/include",
		"../../QuickGFX/third_party/pystring",
		"../../QuickGFX/third_party/stb",
		"../../QuickGFX/third_party/tinyobj"
    }
    
	files { "include/**.h", "source/**.cpp" }
   
   setup_links()
   
	filter "configurations:Debug"
		defines { "DEBUG" }
		symbols "On"

	filter "configurations:Release"
		defines { "NDEBUG" }
		optimize "On"